## cube2 0.0.20130203+dfsg

=== rpggame/Makefile ===
CXXFLAGS= -Os
override CXXFLAGS+= -Wall -fsigned-char -fno-exceptions -fno-rtti

PLATFORM= $(shell uname -s)
PLATFORM_PREFIX= native

INCLUDES= -I../shared -I../engine -I../rpggame -I../enet/include

STRIP=
ifeq (,$(findstring -g,$(CXXFLAGS)))
ifeq (,$(findstring -pg,$(CXXFLAGS)))
  STRIP=strip
endif
endif

MV=mv

ifneq (,$(findstring MINGW,$(PLATFORM)))
WINDRES= windres
ifneq (,$(findstring 64,$(PLATFORM)))
WINLIB=lib64
WINBIN=../bin64
override CXX+= -m64
override WINDRES+= -F pe-x86-64
else
WINLIB=lib
WINBIN=../bin
override CXX+= -m32
override WINDRES+= -F pe-i386
endif
CLIENT_INCLUDES= $(INCLUDES) -I../include
ifneq (,$(findstring TDM,$(PLATFORM)))
STD_LIBS=
else
STD_LIBS= -static-libgcc -static-libstdc++
endif
CLIENT_LIBS= -mwindows $(STD_LIBS) -L../$(WINBIN) -L../$(WINLIB) -lSDL -lSDL_image -lSDL_mixer -lzlib1 -lopengl32 -lenet -lws2_32 -lwinmm
else	
CLIENT_INCLUDES= $(INCLUDES) -I/usr/X11R6/include `sdl-config --cflags`
CLIENT_LIBS= -L../enet/.libs -lenet -L/usr/X11R6/lib -lX11 `sdl-config --libs` -lSDL_image -lSDL_mixer -lz -lGL
endif
ifeq ($(PLATFORM),Linux)
CLIENT_LIBS+= -lrt
endif
CLIENT_OBJS= \
	../shared/crypto.o \
	../shared/geom.o \
	../shared/stream.o \
	../shared/tools.o \
	../shared/zip.o \
	../engine/3dgui.o \
	../engine/bih.o \
	../engine/blend.o \
	../engine/blob.o \
	../engine/client.o	\
	../engine/command.o \
	../engine/console.o \
	../engine/cubeloader.o \
	../engine/decal.o \
	../engine/dynlight.o \
	../engine/glare.o \
	../engine/grass.o \
	../engine/lightmap.o \
	../engine/main.o \
	../engine/material.o \
	../engine/menus.o \
	../engine/movie.o \
	../engine/normal.o	\
	../engine/octa.o \
	../engine/octaedit.o \
	../engine/octarender.o \
	../engine/physics.o \
	../engine/pvs.o \
	../engine/rendergl.o \
	../engine/rendermodel.o \
	../engine/renderparticles.o \
	../engine/rendersky.o \
	../engine/rendertext.o \
	../engine/renderva.o \
	../engine/server.o	\
	../engine/serverbrowser.o \
	../engine/shader.o \
	../engine/shadowmap.o \
	../engine/sound.o \
	../engine/texture.o \
	../engine/water.o \
	../engine/world.o \
	../engine/worldio.o \
	../rpggame/ent.o \
	../rpggame/entities.o \
	../rpggame/objset.o \
	../rpggame/rpg.o

CLIENT_PCH= ../shared/cube.h.gch ../engine.h.gch ../rpggame/rpg.h.gch

ifeq ($(PLATFORM),SunOS)
CLIENT_LIBS+= -lsocket -lnsl -lX11
endif

default: all

all: client

../enet/Makefile:
	cd ../enet; ./configure --enable-shared=no --enable-static=yes
	
libenet: ../enet/Makefile
	$(MAKE)	-C ../enet/ all

clean-enet: enet/Makefile
	$(MAKE) -C ../enet/ clean

clean:
	-$(RM) $(CLIENT_PCH) $(CLIENT_OBJS) rpg_client

%.h.gch: %.h
	$(CXX) $(CXXFLAGS) -o $@.tmp $(subst .h.gch,.h,$@)
	$(MV) $@.tmp $@

$(CLIENT_OBJS): CXXFLAGS += $(CLIENT_INCLUDES)
$(filter ../shared/%,$(CLIENT_OBJS)): $(filter ../shared/%,$(CLIENT_PCH))
$(filter ../engine/%,$(CLIENT_OBJS)): $(filter ../engine/%,$(CLIENT_PCH))
$(filter ../rpggame/%,$(CLIENT_OBJS)): $(filter ../rpggame/%,$(CLIENT_PCH))

ifneq (,$(findstring MINGW,$(PLATFORM)))
client: $(CLIENT_OBJS)
	$(WINDRES) -I ../vcpp -i ../vcpp/mingw.rc -J rc -o ../vcpp/mingw.res -O coff 
	$(CXX) $(CXXFLAGS) -o ../$(WINBIN)/rpg.exe ../vcpp/mingw.res $(CLIENT_OBJS) $(CLIENT_LIBS)
ifneq (,$(STRIP))
	$(STRIP) ../../bin/rpg.exe
endif
else
client:	libenet $(CLIENT_OBJS)
	$(CXX) $(CXXFLAGS) -o rpg_client $(CLIENT_OBJS) $(CLIENT_LIBS)
endif

depend:
	makedepend -Y -I../shared -I../engine -I../rpggame $(subst .o,.cpp,$(CLIENT_OBJS))
	makedepend -a -o.h.gch -Y -I../shared -I../engine -I../rpggame $(subst .h.gch,.h,$(CLIENT_PCH))

# DO NOT DELETE

../shared/crypto.o: ../shared/cube.h ../shared/tools.h ../shared/geom.h
../shared/crypto.o: ../shared/ents.h ../shared/command.h ../shared/iengine.h
../shared/crypto.o: ../shared/igame.h
../shared/geom.o: ../shared/cube.h ../shared/tools.h ../shared/geom.h
../shared/geom.o: ../shared/ents.h ../shared/command.h ../shared/iengine.h
../shared/geom.o: ../shared/igame.h
../shared/stream.o: ../shared/cube.h ../shared/tools.h ../shared/geom.h
../shared/stream.o: ../shared/ents.h ../shared/command.h ../shared/iengine.h
../shared/stream.o: ../shared/igame.h
../shared/tools.o: ../shared/cube.h ../shared/tools.h ../shared/geom.h
../shared/tools.o: ../shared/ents.h ../shared/command.h ../shared/iengine.h
../shared/tools.o: ../shared/igame.h
../shared/zip.o: ../shared/cube.h ../shared/tools.h ../shared/geom.h
../shared/zip.o: ../shared/ents.h ../shared/command.h ../shared/iengine.h
../shared/zip.o: ../shared/igame.h
../engine/3dgui.o: ../engine/engine.h ../shared/cube.h ../shared/tools.h
../engine/3dgui.o: ../shared/geom.h ../shared/ents.h ../shared/command.h
../engine/3dgui.o: ../shared/iengine.h ../shared/igame.h ../engine/world.h
../engine/3dgui.o: ../engine/octa.h ../engine/lightmap.h ../engine/bih.h
../engine/3dgui.o: ../engine/texture.h ../engine/model.h ../engine/varray.h
../engine/3dgui.o: ../engine/textedit.h
../engine/bih.o: ../engine/engine.h ../shared/cube.h ../shared/tools.h
../engine/bih.o: ../shared/geom.h ../shared/ents.h ../shared/command.h
../engine/bih.o: ../shared/iengine.h ../shared/igame.h ../engine/world.h
../engine/bih.o: ../engine/octa.h ../engine/lightmap.h ../engine/bih.h
../engine/bih.o: ../engine/texture.h ../engine/model.h ../engine/varray.h
../engine/blend.o: ../engine/engine.h ../shared/cube.h ../shared/tools.h
../engine/blend.o: ../shared/geom.h ../shared/ents.h ../shared/command.h
../engine/blend.o: ../shared/iengine.h ../shared/igame.h ../engine/world.h
../engine/blend.o: ../engine/octa.h ../engine/lightmap.h ../engine/bih.h
../engine/blend.o: ../engine/texture.h ../engine/model.h ../engine/varray.h
../engine/blob.o: ../engine/engine.h ../shared/cube.h ../shared/tools.h
../engine/blob.o: ../shared/geom.h ../shared/ents.h ../shared/command.h
../engine/blob.o: ../shared/iengine.h ../shared/igame.h ../engine/world.h
../engine/blob.o: ../engine/octa.h ../engine/lightmap.h ../engine/bih.h
../engine/blob.o: ../engine/texture.h ../engine/model.h ../engine/varray.h
../engine/client.o: ../engine/engine.h ../shared/cube.h ../shared/tools.h
../engine/client.o: ../shared/geom.h ../shared/ents.h ../shared/command.h
../engine/client.o: ../shared/iengine.h ../shared/igame.h ../engine/world.h
../engine/client.o: ../engine/octa.h ../engine/lightmap.h ../engine/bih.h
../engine/client.o: ../engine/texture.h ../engine/model.h ../engine/varray.h
../engine/command.o: ../engine/engine.h ../shared/cube.h ../shared/tools.h
../engine/command.o: ../shared/geom.h ../shared/ents.h ../shared/command.h
../engine/command.o: ../shared/iengine.h ../shared/igame.h ../engine/world.h
../engine/command.o: ../engine/octa.h ../engine/lightmap.h ../engine/bih.h
../engine/command.o: ../engine/texture.h ../engine/model.h ../engine/varray.h
../engine/console.o: ../engine/engine.h ../shared/cube.h ../shared/tools.h
../engine/console.o: ../shared/geom.h ../shared/ents.h ../shared/command.h
../engine/console.o: ../shared/iengine.h ../shared/igame.h ../engine/world.h
../engine/console.o: ../engine/octa.h ../engine/lightmap.h ../engine/bih.h
../engine/console.o: ../engine/texture.h ../engine/model.h ../engine/varray.h
../engine/cubeloader.o: ../engine/engine.h ../shared/cube.h ../shared/tools.h
../engine/cubeloader.o: ../shared/geom.h ../shared/ents.h ../shared/command.h
../engine/cubeloader.o: ../shared/iengine.h ../shared/igame.h
../engine/cubeloader.o: ../engine/world.h ../engine/octa.h
../engine/cubeloader.o: ../engine/lightmap.h ../engine/bih.h
../engine/cubeloader.o: ../engine/texture.h ../engine/model.h
../engine/cubeloader.o: ../engine/varray.h
../engine/decal.o: ../engine/engine.h ../shared/cube.h ../shared/tools.h
../engine/decal.o: ../shared/geom.h ../shared/ents.h ../shared/command.h
../engine/decal.o: ../shared/iengine.h ../shared/igame.h ../engine/world.h
../engine/decal.o: ../engine/octa.h ../engine/lightmap.h ../engine/bih.h
../engine/decal.o: ../engine/texture.h ../engine/model.h ../engine/varray.h
../engine/dynlight.o: ../engine/engine.h ../shared/cube.h ../shared/tools.h
../engine/dynlight.o: ../shared/geom.h ../shared/ents.h ../shared/command.h
../engine/dynlight.o: ../shared/iengine.h ../shared/igame.h ../engine/world.h
../engine/dynlight.o: ../engine/octa.h ../engine/lightmap.h ../engine/bih.h
../engine/dynlight.o: ../engine/texture.h ../engine/model.h
../engine/dynlight.o: ../engine/varray.h
../engine/glare.o: ../engine/engine.h ../shared/cube.h ../shared/tools.h
../engine/glare.o: ../shared/geom.h ../shared/ents.h ../shared/command.h
../engine/glare.o: ../shared/iengine.h ../shared/igame.h ../engine/world.h
../engine/glare.o: ../engine/octa.h ../engine/lightmap.h ../engine/bih.h
../engine/glare.o: ../engine/texture.h ../engine/model.h ../engine/varray.h
../engine/glare.o: ../engine/rendertarget.h
../engine/grass.o: ../engine/engine.h ../shared/cube.h ../shared/tools.h
../engine/grass.o: ../shared/geom.h ../shared/ents.h ../shared/command.h
../engine/grass.o: ../shared/iengine.h ../shared/igame.h ../engine/world.h
../engine/grass.o: ../engine/octa.h ../engine/lightmap.h ../engine/bih.h
../engine/grass.o: ../engine/texture.h ../engine/model.h ../engine/varray.h
../engine/lightmap.o: ../engine/engine.h ../shared/cube.h ../shared/tools.h
../engine/lightmap.o: ../shared/geom.h ../shared/ents.h ../shared/command.h
../engine/lightmap.o: ../shared/iengine.h ../shared/igame.h ../engine/world.h
../engine/lightmap.o: ../engine/octa.h ../engine/lightmap.h ../engine/bih.h
../engine/lightmap.o: ../engine/texture.h ../engine/model.h
../engine/lightmap.o: ../engine/varray.h
../engine/main.o: ../engine/engine.h ../shared/cube.h ../shared/tools.h
../engine/main.o: ../shared/geom.h ../shared/ents.h ../shared/command.h
../engine/main.o: ../shared/iengine.h ../shared/igame.h ../engine/world.h
../engine/main.o: ../engine/octa.h ../engine/lightmap.h ../engine/bih.h
../engine/main.o: ../engine/texture.h ../engine/model.h ../engine/varray.h
../engine/material.o: ../engine/engine.h ../shared/cube.h ../shared/tools.h
../engine/material.o: ../shared/geom.h ../shared/ents.h ../shared/command.h
../engine/material.o: ../shared/iengine.h ../shared/igame.h ../engine/world.h
../engine/material.o: ../engine/octa.h ../engine/lightmap.h ../engine/bih.h
../engine/material.o: ../engine/texture.h ../engine/model.h
../engine/material.o: ../engine/varray.h
../engine/menus.o: ../engine/engine.h ../shared/cube.h ../shared/tools.h
../engine/menus.o: ../shared/geom.h ../shared/ents.h ../shared/command.h
../engine/menus.o: ../shared/iengine.h ../shared/igame.h ../engine/world.h
../engine/menus.o: ../engine/octa.h ../engine/lightmap.h ../engine/bih.h
../engine/menus.o: ../engine/texture.h ../engine/model.h ../engine/varray.h
../engine/movie.o: ../engine/engine.h ../shared/cube.h ../shared/tools.h
../engine/movie.o: ../shared/geom.h ../shared/ents.h ../shared/command.h
../engine/movie.o: ../shared/iengine.h ../shared/igame.h ../engine/world.h
../engine/movie.o: ../engine/octa.h ../engine/lightmap.h ../engine/bih.h
../engine/movie.o: ../engine/texture.h ../engine/model.h ../engine/varray.h
../engine/normal.o: ../engine/engine.h ../shared/cube.h ../shared/tools.h
../engine/normal.o: ../shared/geom.h ../shared/ents.h ../shared/command.h
../engine/normal.o: ../shared/iengine.h ../shared/igame.h ../engine/world.h
../engine/normal.o: ../engine/octa.h ../engine/lightmap.h ../engine/bih.h
../engine/normal.o: ../engine/texture.h ../engine/model.h ../engine/varray.h
../engine/octa.o: ../engine/engine.h ../shared/cube.h ../shared/tools.h
../engine/octa.o: ../shared/geom.h ../shared/ents.h ../shared/command.h
../engine/octa.o: ../shared/iengine.h ../shared/igame.h ../engine/world.h
../engine/octa.o: ../engine/octa.h ../engine/lightmap.h ../engine/bih.h
../engine/octa.o: ../engine/texture.h ../engine/model.h ../engine/varray.h
../engine/octaedit.o: ../engine/engine.h ../shared/cube.h ../shared/tools.h
../engine/octaedit.o: ../shared/geom.h ../shared/ents.h ../shared/command.h

## cube2 0.0.20130203%2Bdfsg

=== debian/control ===
Source: cube2
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Bruno "Fuddl" Kleinert <fuddl@debian.org>,
 Vincent Cheng <vcheng@debian.org>,
 Markus Koschany <apo@gambaru.de>
Build-Depends:
 debhelper (>= 9),
 libenet-dev,
 libsdl-image1.2-dev,
 libsdl-mixer1.2-dev,
 libsdl1.2-dev,
 zlib1g-dev
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-games/cube2.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/cube2.git
Homepage: http://cubeengine.com

Package: cube2
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 cube2-data
Description: 3D first-person shooter game engine
 Cube2 is a networked 3D first-person shooter game engine. It supports modern
 graphic effects and conveys a sense of fast-paced oldschool gameplay.
 .
 The game client also works as the map editor. It is even possible to create
 and edit a map together with other people over a network connection.
 .
 The effects of Cube2 might be considered unsuitable for children.
 .
 This package installs the game client and map editor of the Cube2 engine.
 You need to install a content package like cube2-data if you want to play a
 game.

Package: cube2-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 cube2 (= ${binary:Version}) | cube2-server (= ${binary:Version}),
 ${misc:Depends}
Description: debug symbols for the Cube2 game engine
 Cube2 is a networked 3D first-person shooter game engine. It supports modern
 graphic effects and conveys a sense of fast-paced oldschool gameplay.
 .
 This package installs the debug symbols for the Cube2 engine.

Package: cube2-server
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 cube2
Description: standalone server for Cube2 based games
 Cube2 is a networked 3D first-person shooter game engine. It supports modern
 graphic effects and conveys a sense of fast-paced oldschool gameplay.
 .
 This package installs the standalone server for Cube2 based games.

## cube2 0.0.20130203+dfsg

=== debian/changelog ===
cube2 (0.0.20130203+dfsg-2) unstable; urgency=medium

  * Declare compliance with Debian Policy 3.9.8.
  * Update my e-mail address.
  * Vcs-fields: Use https and cgit.
  * Drop cube2-dbg package and use the automatic -dbgsym package instead.
  * Update copyright years.
  * Drop obsolete lintian-overrides.
  * Override dh_clean and ensure that cube2 can be built twice in a row.

 -- Markus Koschany <apo@debian.org>  Mon, 08 Aug 2016 16:09:03 +0200

cube2 (0.0.20130203+dfsg-1) unstable; urgency=medium

  * Add myself to Uploaders.
  * Rename source and binary packages of sauerbraten to cube2 and move the
    package to the main section of the Debian archive because it fully complies
    with the DFSG. A new -data package for demonstration purposes with textures,
    models, maps and sounds will be provided by the separate source package
    cube2-data. Hence the engine is functional and can be shipped in main.
    (Closes: #458800)
  * Repack source package and unbundle the embedded enet library. Link against
    the shared system library instead.
  * Update debian/copyright to copyright format 1.0.
  * debian/rules:
    - Build with dh's --parallel option and remove remaining Makefile code for
      parallel jobs to avoid a race condition. (Closes: #736383)
    - Pass all dpkg-buildflags to upstream's build system.
    - Enable all hardening build flags.
    - Remove override targets for dh_installdocs and dh_auto_clean.
  * debian/control:
    - cube2: suggest cube2-data.
    - cube2-server: suggest cube2.
    - Update package descriptions due to the renaming.
    - Change VCS links to new cube2 git repository.
  * Add a watch file.
  * Drop README.source because source format 3.0 uses quilt by default.
  * Drop docs file.
  * Rename sauer_client and sauer_server to cube2_client and cube2_server.
  * Move icons, desktop and menu files to the new sauerbraten source
    package.
  * Rename man pages to cube2.6 and cube2-server.6.
  * Use compat level 9 and require debhelper >= 9.
  * Drop NEWS.Debian because it contains only obsolete news.
  * debian/patches:
    - Drop 10-fix-clean-target.diff. The embedded version of enet has been
      removed hence a fix is not needed anymore.
    - Drop 20-build-with-debug-symbols.patch. Build flags are handled
      automatically.
    - Rename .diff file extensions to .patch.
    - New patches:
      + add-LDFLAGS.patch: Add LDFLAGS to upstream's Makefile for hardening.
      + use-system-enet.patch: Link against Debian's shared system enet
        library.
  * Add a sample configuration for a dedicated server and install the files
    with cube2-server.examples. (Closes: #673808)
  * Add lintian-overrides and override lintian warning
    latest-debian-changelog-entry-without-new-version. Cube2 is basically
    a new source package thus this warning can be safely ignored.

 -- Markus Koschany <apo@gambaru.de>  Thu, 20 Mar 2014 21:05:01 +0100

sauerbraten (0.0.20130203.dfsg-1) unstable; urgency=medium

  * Team upload.
    - Add myself to Uploaders.
  * New upstream release. (Closes: #732988, #699521)
    - Refresh patches.
  * Build using dh-autoreconf.
  * Fix minor grammatical errors in package description. (LP: #858631)
  * Update Standards version to 3.9.5.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 21 Jan 2014 15:59:05 -0800

sauerbraten (0.0.20100728.dfsg+repack-3) unstable; urgency=low

  * Team upload.
  * Correct manpage regarding the previous upload: Remove the note that
    running in fullscreen mode was the default.

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Wed, 29 Jun 2011 17:29:57 +0200

sauerbraten (0.0.20100728.dfsg+repack-2) unstable; urgency=low

  * Team upload.
  * Start in windowed mode by default. This introduces
    windowed_by_default.diff.

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Wed, 29 Jun 2011 15:56:14 +0200

sauerbraten (0.0.20100728.dfsg+repack-1) unstable; urgency=low

  * Repack .orig.tar.gz
    * Drop an unredistributable file (include/wincompat.h). We don't use it
      anyway
    * Repack with bzip2 compression
  * Update debian/copyright:
    * Update copyright years of sauerbraten and Enet
    * Liste files in enet/m4/ which are copyright by the FSF and some
      autotools file in enet/ and the files in include/ (Closes: #618943)

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Tue, 21 Jun 2011 16:59:36 +0200

sauerbraten (0.0.20100728.dfsg-5) unstable; urgency=low

  * Fix wrong variable name in debian/rules. It's not CXXOPTFLAGS but CXXFLAGS
  * Update to standards version 3.9.2. No changes.
  * Don't mess with users' PATH environment in sauerbraten.desktop. Instead
    call /usr/games/sauerbraten directly
  * Use debhelper 8 to build the package
    * Build-depend on debhelper (>= 8)
    * Rewrite debian/rules

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Fri, 03 Jun 2011 19:03:03 +0200

sauerbraten (0.0.20100728.dfsg-4) unstable; urgency=low

  * Team upload.
  * Link with -lrt on kFreeBSD too.
    Closes: #621811

 -- Evgeni Golov <evgeni@debian.org>  Thu, 12 May 2011 01:03:35 +0200

sauerbraten (0.0.20100728.dfsg-3) unstable; urgency=low

  * Allow building on PowerPC again (Closes: 549470)

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Tue, 01 Mar 2011 17:38:44 +0100

sauerbraten (0.0.20100728.dfsg-2) unstable; urgency=low

  * Fix typos in package description, manpages and desktop shortcuts
    (Closes: #573778)

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Mon, 16 Aug 2010 12:12:51 +0200

sauerbraten (0.0.20100728.dfsg-1) unstable; urgency=low

  * New upstream release
  * Refresh 30-fix-indirect-linking-for-binutils-gold.diff
  * Refresh 10-fix-clean-target.diff
  * Fix lintian warning about missing ${misc:Depends} in Depends fields of
    binary packages
  * Update to standards version 3.9.1 without changes

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Thu, 29 Jul 2010 21:49:06 -0400

sauerbraten (0.0.20090504.dfsg-2) unstable; urgency=low

  [ Bruno "Fuddl" Kleinert ]


=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: cube2
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Bruno "Fuddl" Kleinert <fuddl@debian.org>,
  Vincent Cheng <vcheng@debian.org>,
- Markus Koschany <apo@gambaru.de>
+ Markus Koschany <apo@debian.org>
 Build-Depends:
  debhelper (>= 9),
  libenet-dev,
@@ -14,9 +13,9 @@
  libsdl-mixer1.2-dev,
  libsdl1.2-dev,
  zlib1g-dev
-Standards-Version: 3.9.5
-Vcs-Git: git://anonscm.debian.org/pkg-games/cube2.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/cube2.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-games/cube2.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/cube2.git
 Homepage: http://cubeengine.com
 
 Package: cube2
@@ -39,19 +38,6 @@
  You need to install a content package like cube2-data if you want to play a
  game.
 
-Package: cube2-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends:
- cube2 (= ${binary:Version}) | cube2-server (= ${binary:Version}),
- ${misc:Depends}
-Description: debug symbols for the Cube2 game engine
- Cube2 is a networked 3D first-person shooter game engine. It supports modern
- graphic effects and conveys a sense of fast-paced oldschool gameplay.
- .
- This package installs the debug symbols for the Cube2 engine.
-
 Package: cube2-server
 Architecture: any
 Depends:

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --parallel

override_dh_auto_build:
	dh_auto_build -- \
		CPPFLAGS="$(CPPFLAGS)" \
		CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
		CXXFLAGS="$(CXXFLAGS) $(CPPFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		client server

override_dh_auto_install:
#skip dh_auto_install because upstream's install target is broken

override_dh_install:
	mv sauer_client cube2_client
	mv sauer_server cube2_server
	dh_install

override_dh_clean:
	dh_clean
	$(RM) cube2_client cube2_server

## cube2 0.0.20130404%2Bdfsg

=== debian/watch ===
version=3
opts=uversionmangle=s/\.//g;s/^/0.0./,dversionmangle=s/\+dfsg+$// \
http://sf.net/sauerbraten/sauerbraten_(\d+)_(\d+)_(\d+)_.*\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)

## cube2 0.0.20130404+dfsg

=== Makefile ===
CXXFLAGS= -O3 -fomit-frame-pointer
override CXXFLAGS+= -Wall -fsigned-char -fno-exceptions -fno-rtti

PLATFORM= $(shell uname -s)
PLATFORM_PREFIX= native

INCLUDES= -Ishared -Iengine -Ifpsgame -Ienet/include

STRIP=
ifeq (,$(findstring -g,$(CXXFLAGS)))
ifeq (,$(findstring -pg,$(CXXFLAGS)))
  STRIP=strip
endif
endif

MV=mv

ifneq (,$(findstring MINGW,$(PLATFORM)))
WINDRES= windres
ifneq (,$(findstring 64,$(PLATFORM)))
ifneq (,$(findstring CROSS,$(PLATFORM)))
  CXX=x86_64-w64-mingw32-g++
  WINDRES=x86_64-w64-mingw32-windres
ifneq (,$(STRIP))
  STRIP=x86_64-w64-mingw32-strip
endif
endif
WINLIB=lib64
WINBIN=../bin64
override CXX+= -m64
override WINDRES+= -F pe-x86-64
else
ifneq (,$(findstring CROSS,$(PLATFORM)))
  CXX=i686-w64-mingw32-g++
  WINDRES=i686-w64-mingw32-windres
ifneq (,$(STRIP))
  STRIP=i686-w64-mingw32-strip
endif
endif
WINLIB=lib
WINBIN=../bin
override CXX+= -m32
override WINDRES+= -F pe-i386
endif
CLIENT_INCLUDES= $(INCLUDES) -Iinclude
ifneq (,$(findstring TDM,$(PLATFORM)))
STD_LIBS=
else
STD_LIBS= -static-libgcc -static-libstdc++
endif
CLIENT_LIBS= -mwindows $(STD_LIBS) -L$(WINBIN) -L$(WINLIB) -lSDL -lSDL_image -lSDL_mixer -lzlib1 -lopengl32 -lenet -lws2_32 -lwinmm
else	
CLIENT_INCLUDES= $(INCLUDES) -I/usr/X11R6/include `sdl-config --cflags`
CLIENT_LIBS= -Lenet/.libs -lenet -L/usr/X11R6/lib -lX11 `sdl-config --libs` -lSDL_image -lSDL_mixer -lz -lGL
endif
ifeq ($(PLATFORM),Linux)
CLIENT_LIBS+= -lrt
endif
CLIENT_OBJS= \
	shared/crypto.o \
	shared/geom.o \
	shared/stream.o \
	shared/tools.o \
	shared/zip.o \
	engine/3dgui.o \
	engine/bih.o \
	engine/blend.o \
	engine/blob.o \
	engine/client.o	\
	engine/command.o \
	engine/console.o \
	engine/cubeloader.o \
	engine/decal.o \
	engine/dynlight.o \
	engine/glare.o \
	engine/grass.o \
	engine/lightmap.o \
	engine/main.o \
	engine/material.o \
	engine/menus.o \
	engine/movie.o \
	engine/normal.o	\
	engine/octa.o \
	engine/octaedit.o \
	engine/octarender.o \
	engine/physics.o \
	engine/pvs.o \
	engine/rendergl.o \
	engine/rendermodel.o \
	engine/renderparticles.o \
	engine/rendersky.o \
	engine/rendertext.o \
	engine/renderva.o \
	engine/server.o	\
	engine/serverbrowser.o \
	engine/shader.o \
	engine/shadowmap.o \
	engine/sound.o \
	engine/texture.o \
	engine/water.o \
	engine/world.o \
	engine/worldio.o \
	fpsgame/ai.o \
	fpsgame/client.o \
	fpsgame/entities.o \
	fpsgame/fps.o \
	fpsgame/monster.o \
	fpsgame/movable.o \
	fpsgame/render.o \
	fpsgame/scoreboard.o \
	fpsgame/server.o \
	fpsgame/waypoint.o \
	fpsgame/weapon.o

CLIENT_PCH= shared/cube.h.gch engine/engine.h.gch fpsgame/game.h.gch

ifneq (,$(findstring MINGW,$(PLATFORM)))
SERVER_INCLUDES= -DSTANDALONE $(INCLUDES) -Iinclude
SERVER_LIBS= -mwindows $(STD_LIBS) -L$(WINBIN) -L$(WINLIB) -lzlib1 -lenet -lws2_32 -lwinmm
MASTER_LIBS= $(STD_LIBS) -L$(WINBIN) -L$(WINLIB) -lzlib1 -lenet -lws2_32 -lwinmm
else
SERVER_INCLUDES= -DSTANDALONE $(INCLUDES)
SERVER_LIBS= -Lenet/.libs -lenet -lz
MASTER_LIBS= $(SERVER_LIBS)
endif
SERVER_OBJS= \
	shared/crypto-standalone.o \
	shared/stream-standalone.o \
	shared/tools-standalone.o \
	engine/command-standalone.o \
	engine/server-standalone.o \
	engine/worldio-standalone.o \
	fpsgame/entities-standalone.o \
	fpsgame/server-standalone.o

MASTER_OBJS= \
	shared/crypto-standalone.o \
	shared/stream-standalone.o \
	shared/tools-standalone.o \
	engine/command-standalone.o \
	engine/master-standalone.o

ifeq ($(PLATFORM),SunOS)
CLIENT_LIBS+= -lsocket -lnsl -lX11
SERVER_LIBS+= -lsocket -lnsl
endif

default: all

all: client server

enet/Makefile:
	cd enet; ./configure --enable-shared=no --enable-static=yes
	
libenet: enet/Makefile
	$(MAKE)	-C enet/ all

clean-enet: enet/Makefile
	$(MAKE) -C enet/ clean

clean:
	-$(RM) $(CLIENT_PCH) $(CLIENT_OBJS) $(SERVER_OBJS) $(MASTER_OBJS) sauer_client sauer_server sauer_master

%.h.gch: %.h
	$(CXX) $(CXXFLAGS) -o $(subst .h.gch,.tmp.h.gch,$@) $(subst .h.gch,.h,$@)
	$(MV) $(subst .h.gch,.tmp.h.gch,$@) $@

%-standalone.o: %.cpp
	$(CXX) $(CXXFLAGS) -c -o $@ $(subst -standalone.o,.cpp,$@)

$(CLIENT_OBJS): CXXFLAGS += $(CLIENT_INCLUDES)
$(filter shared/%,$(CLIENT_OBJS)): $(filter shared/%,$(CLIENT_PCH))
$(filter engine/%,$(CLIENT_OBJS)): $(filter engine/%,$(CLIENT_PCH))
$(filter fpsgame/%,$(CLIENT_OBJS)): $(filter fpsgame/%,$(CLIENT_PCH))

$(SERVER_OBJS): CXXFLAGS += $(SERVER_INCLUDES)
$(filter-out $(SERVER_OBJS),$(MASTER_OBJS)): CXXFLAGS += $(SERVER_INCLUDES)

ifneq (,$(findstring MINGW,$(PLATFORM)))
client: $(CLIENT_OBJS)
	$(WINDRES) -I vcpp -i vcpp/mingw.rc -J rc -o vcpp/mingw.res -O coff 
	$(CXX) $(CXXFLAGS) -o $(WINBIN)/sauerbraten.exe vcpp/mingw.res $(CLIENT_OBJS) $(CLIENT_LIBS)

server: $(SERVER_OBJS)
	$(WINDRES) -I vcpp -i vcpp/mingw.rc -J rc -o vcpp/mingw.res -O coff
	$(CXX) $(CXXFLAGS) -o $(WINBIN)/sauer_server.exe vcpp/mingw.res $(SERVER_OBJS) $(SERVER_LIBS)

master: $(MASTER_OBJS)
	$(CXX) $(CXXFLAGS) -o $(WINBIN)/sauer_master.exe $(MASTER_OBJS) $(MASTER_LIBS)

install: all
else
client:	libenet $(CLIENT_OBJS)
	$(CXX) $(CXXFLAGS) -o sauer_client $(CLIENT_OBJS) $(CLIENT_LIBS)

server:	libenet $(SERVER_OBJS)
	$(CXX) $(CXXFLAGS) -o sauer_server $(SERVER_OBJS) $(SERVER_LIBS)  
	
master: libenet $(MASTER_OBJS)
	$(CXX) $(CXXFLAGS) -o sauer_master $(MASTER_OBJS) $(MASTER_LIBS)  

shared/cube2font.o: shared/cube2font.c
	$(CXX) $(CXXFLAGS) -c -o $@ $< `freetype-config --cflags`

cube2font: shared/cube2font.o
	$(CXX) $(CXXFLAGS) -o cube2font shared/cube2font.o `freetype-config --libs` -lz

install: all
	cp sauer_client	../bin_unix/$(PLATFORM_PREFIX)_client
	cp sauer_server	../bin_unix/$(PLATFORM_PREFIX)_server
ifneq (,$(STRIP))
	$(STRIP) ../bin_unix/$(PLATFORM_PREFIX)_client
	$(STRIP) ../bin_unix/$(PLATFORM_PREFIX)_server
endif
endif

depend:
	makedepend -Y -Ishared -Iengine -Ifpsgame $(subst .o,.cpp,$(CLIENT_OBJS))
	makedepend -a -o.h.gch -Y -Ishared -Iengine -Ifpsgame $(subst .h.gch,.h,$(CLIENT_PCH))
	makedepend -a -o-standalone.o -Y -DSTANDALONE -Ishared -Iengine -Ifpsgame $(subst -standalone.o,.cpp,$(SERVER_OBJS))
	makedepend -a -o-standalone.o -Y -DSTANDALONE -Ishared -Iengine -Ifpsgame $(subst -standalone.o,.cpp,$(filter-out $(SERVER_OBJS), $(MASTER_OBJS)))

engine/engine.h.gch: shared/cube.h.gch
fpsgame/game.h.gch: shared/cube.h.gch

# DO NOT DELETE

shared/crypto.o: shared/cube.h shared/tools.h shared/geom.h shared/ents.h
shared/crypto.o: shared/command.h shared/iengine.h shared/igame.h
shared/geom.o: shared/cube.h shared/tools.h shared/geom.h shared/ents.h
shared/geom.o: shared/command.h shared/iengine.h shared/igame.h
shared/stream.o: shared/cube.h shared/tools.h shared/geom.h shared/ents.h
shared/stream.o: shared/command.h shared/iengine.h shared/igame.h
shared/tools.o: shared/cube.h shared/tools.h shared/geom.h shared/ents.h
shared/tools.o: shared/command.h shared/iengine.h shared/igame.h
shared/zip.o: shared/cube.h shared/tools.h shared/geom.h shared/ents.h
shared/zip.o: shared/command.h shared/iengine.h shared/igame.h
engine/3dgui.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/3dgui.o: shared/ents.h shared/command.h shared/iengine.h
engine/3dgui.o: shared/igame.h engine/world.h engine/octa.h engine/lightmap.h
engine/3dgui.o: engine/bih.h engine/texture.h engine/model.h engine/varray.h
engine/3dgui.o: engine/textedit.h
engine/bih.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/bih.o: shared/ents.h shared/command.h shared/iengine.h shared/igame.h
engine/bih.o: engine/world.h engine/octa.h engine/lightmap.h engine/bih.h
engine/bih.o: engine/texture.h engine/model.h engine/varray.h
engine/blend.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/blend.o: shared/ents.h shared/command.h shared/iengine.h
engine/blend.o: shared/igame.h engine/world.h engine/octa.h engine/lightmap.h
engine/blend.o: engine/bih.h engine/texture.h engine/model.h engine/varray.h
engine/blob.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/blob.o: shared/ents.h shared/command.h shared/iengine.h shared/igame.h
engine/blob.o: engine/world.h engine/octa.h engine/lightmap.h engine/bih.h
engine/blob.o: engine/texture.h engine/model.h engine/varray.h
engine/client.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/client.o: shared/ents.h shared/command.h shared/iengine.h
engine/client.o: shared/igame.h engine/world.h engine/octa.h
engine/client.o: engine/lightmap.h engine/bih.h engine/texture.h
engine/client.o: engine/model.h engine/varray.h
engine/command.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/command.o: shared/ents.h shared/command.h shared/iengine.h
engine/command.o: shared/igame.h engine/world.h engine/octa.h
engine/command.o: engine/lightmap.h engine/bih.h engine/texture.h
engine/command.o: engine/model.h engine/varray.h
engine/console.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/console.o: shared/ents.h shared/command.h shared/iengine.h
engine/console.o: shared/igame.h engine/world.h engine/octa.h
engine/console.o: engine/lightmap.h engine/bih.h engine/texture.h
engine/console.o: engine/model.h engine/varray.h
engine/cubeloader.o: engine/engine.h shared/cube.h shared/tools.h
engine/cubeloader.o: shared/geom.h shared/ents.h shared/command.h
engine/cubeloader.o: shared/iengine.h shared/igame.h engine/world.h
engine/cubeloader.o: engine/octa.h engine/lightmap.h engine/bih.h
engine/cubeloader.o: engine/texture.h engine/model.h engine/varray.h
engine/decal.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/decal.o: shared/ents.h shared/command.h shared/iengine.h
engine/decal.o: shared/igame.h engine/world.h engine/octa.h engine/lightmap.h
engine/decal.o: engine/bih.h engine/texture.h engine/model.h engine/varray.h
engine/dynlight.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/dynlight.o: shared/ents.h shared/command.h shared/iengine.h
engine/dynlight.o: shared/igame.h engine/world.h engine/octa.h
engine/dynlight.o: engine/lightmap.h engine/bih.h engine/texture.h
engine/dynlight.o: engine/model.h engine/varray.h
engine/glare.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/glare.o: shared/ents.h shared/command.h shared/iengine.h
engine/glare.o: shared/igame.h engine/world.h engine/octa.h engine/lightmap.h
engine/glare.o: engine/bih.h engine/texture.h engine/model.h engine/varray.h
engine/glare.o: engine/rendertarget.h
engine/grass.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/grass.o: shared/ents.h shared/command.h shared/iengine.h
engine/grass.o: shared/igame.h engine/world.h engine/octa.h engine/lightmap.h
engine/grass.o: engine/bih.h engine/texture.h engine/model.h engine/varray.h
engine/lightmap.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/lightmap.o: shared/ents.h shared/command.h shared/iengine.h
engine/lightmap.o: shared/igame.h engine/world.h engine/octa.h
engine/lightmap.o: engine/lightmap.h engine/bih.h engine/texture.h
engine/lightmap.o: engine/model.h engine/varray.h
engine/main.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/main.o: shared/ents.h shared/command.h shared/iengine.h shared/igame.h
engine/main.o: engine/world.h engine/octa.h engine/lightmap.h engine/bih.h
engine/main.o: engine/texture.h engine/model.h engine/varray.h
engine/material.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/material.o: shared/ents.h shared/command.h shared/iengine.h
engine/material.o: shared/igame.h engine/world.h engine/octa.h
engine/material.o: engine/lightmap.h engine/bih.h engine/texture.h
engine/material.o: engine/model.h engine/varray.h
engine/menus.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/menus.o: shared/ents.h shared/command.h shared/iengine.h
engine/menus.o: shared/igame.h engine/world.h engine/octa.h engine/lightmap.h
engine/menus.o: engine/bih.h engine/texture.h engine/model.h engine/varray.h
engine/movie.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h

=== rpggame/Makefile ===
--- 
+++ 
@@ -18,11 +18,25 @@
 ifneq (,$(findstring MINGW,$(PLATFORM)))
 WINDRES= windres
 ifneq (,$(findstring 64,$(PLATFORM)))
+ifneq (,$(findstring CROSS,$(PLATFORM)))
+  CXX=x86_64-w64-mingw32-g++
+  WINDRES=x86_64-w64-mingw32-windres
+ifneq (,$(STRIP))
+  STRIP=x86_64-w64-mingw32-strip
+endif
+endif
 WINLIB=lib64
 WINBIN=../bin64
 override CXX+= -m64
 override WINDRES+= -F pe-x86-64
 else
+ifneq (,$(findstring CROSS,$(PLATFORM)))
+  CXX=i686-w64-mingw32-g++
+  WINDRES=i686-w64-mingw32-windres
+ifneq (,$(STRIP))
+  STRIP=i686-w64-mingw32-strip
+endif
+endif
 WINLIB=lib
 WINBIN=../bin
 override CXX+= -m32
@@ -255,7 +269,3 @@
 ../engine/octa.o: ../engine/engine.h ../shared/cube.h ../shared/tools.h
 ../engine/octa.o: ../shared/geom.h ../shared/ents.h ../shared/command.h
 ../engine/octa.o: ../shared/iengine.h ../shared/igame.h ../engine/world.h
-../engine/octa.o: ../engine/octa.h ../engine/lightmap.h ../engine/bih.h
-../engine/octa.o: ../engine/texture.h ../engine/model.h ../engine/varray.h
-../engine/octaedit.o: ../engine/engine.h ../shared/cube.h ../shared/tools.h
-../engine/octaedit.o: ../shared/geom.h ../shared/ents.h ../shared/command.h

=== debian/changelog ===
cube2 (0.0.20130404+dfsg-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:37:15 +0100

cube2 (0.0.20130404+dfsg-1) unstable; urgency=medium

  * New upstream version 0.0.20130404+dfsg.
  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.1.3.
  * Use https for Format field.
  * Update get-sauerbraten-orig.sh.

 -- Markus Koschany <apo@debian.org>  Sat, 27 Jan 2018 22:28:56 +0100

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
  Vincent Cheng <vcheng@debian.org>,
  Markus Koschany <apo@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  libenet-dev,
  libsdl-image1.2-dev,
  libsdl-mixer1.2-dev,
  libsdl1.2-dev,
  zlib1g-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/cube2.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/cube2.git
 Homepage: http://cubeengine.com

## cube2 0.0.20201227%2Bdfsg

=== debian/watch ===
version=3
opts=uversionmangle=s/\.//g;s/^/0.0./,dversionmangle=s/\+dfsg+$// \
https://sf.net/sauerbraten/sauerbraten_(\d+)_(\d+)_(\d+)_.*\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)
